package com.bootdo.system.service.impl;

import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

import com.bootdo.system.dao.ThirdMsgLogDOMapper;
import com.bootdo.system.domain.ThirdMsgLogDOExample;
import com.bootdo.system.domain.ThirdMsgLogDO;
import com.bootdo.system.service.ThirdMsgLogDOService;

@Service
public class ThirdMsgLogDOServiceImpl implements ThirdMsgLogDOService {

    @Resource
    private ThirdMsgLogDOMapper thirdMsgLogDOMapper;

    @Override
    public long countByExample(ThirdMsgLogDOExample example) {
        return thirdMsgLogDOMapper.countByExample(example);
    }

    @Override
    public int deleteByExample(ThirdMsgLogDOExample example) {
        return thirdMsgLogDOMapper.deleteByExample(example);
    }

    @Override
    public int deleteByPrimaryKey(Integer logId) {
        return thirdMsgLogDOMapper.deleteByPrimaryKey(logId);
    }

    @Override
    public int insert(ThirdMsgLogDO record) {
        return thirdMsgLogDOMapper.insert(record);
    }

    @Override
    public int insertSelective(ThirdMsgLogDO record) {
        return thirdMsgLogDOMapper.insertSelective(record);
    }

    @Override
    public List<ThirdMsgLogDO> selectByExample(ThirdMsgLogDOExample example) {
        return thirdMsgLogDOMapper.selectByExample(example);
    }

    @Override
    public ThirdMsgLogDO selectByPrimaryKey(Integer logId) {
        return thirdMsgLogDOMapper.selectByPrimaryKey(logId);
    }

    @Override
    public int updateByExampleSelective(ThirdMsgLogDO record, ThirdMsgLogDOExample example) {
        return thirdMsgLogDOMapper.updateByExampleSelective(record, example);
    }

    @Override
    public int updateByExample(ThirdMsgLogDO record, ThirdMsgLogDOExample example) {
        return thirdMsgLogDOMapper.updateByExample(record, example);
    }

    @Override
    public int updateByPrimaryKeySelective(ThirdMsgLogDO record) {
        return thirdMsgLogDOMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(ThirdMsgLogDO record) {
        return thirdMsgLogDOMapper.updateByPrimaryKey(record);
    }

    @Override
    public int updateBatch(List<ThirdMsgLogDO> list) {
        return thirdMsgLogDOMapper.updateBatch(list);
    }

    @Override
    public int batchInsert(List<ThirdMsgLogDO> list) {
        return thirdMsgLogDOMapper.batchInsert(list);
    }

}
